Skip to main content
GET
/
organizations
/
{organization_id}
/
subscriptions
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "status": "requested",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner_info": {
        "type": "<string>",
        "username": "<string>",
        "display_name": "<string>"
      },
      "vendor": "<string>",
      "plan": "<string>",
      "environments": 123,
      "storage": 123,
      "user_licenses": 123,
      "project_id": "<string>",
      "project_endpoint": "<string>",
      "project_title": "<string>",
      "project_region": "<string>",
      "project_region_label": "<string>",
      "project_ui": "<string>",
      "project_options": {
        "defaults": {
          "settings": {},
          "variables": {},
          "access": {},
          "capabilities": {}
        },
        "enforced": {
          "settings": {},
          "capabilities": {}
        },
        "regions": [
          "<string>"
        ],
        "plans": [
          "<string>"
        ],
        "billing": {}
      },
      "agency_site": true,
      "invoiced": true,
      "hipaa": true,
      "is_trial_plan": true,
      "services": [
        {}
      ],
      "green": true
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Query Parameters

filter[status]
enum<string>

The status of the subscription.

Available options:
active,
provisioning,
provisioning failure,
suspended,
deleted
filter[id]
string

Machine name of the region.

filter[project_id]
object

Allows filtering by project_id using one or more operators.

filter[project_title]
object

Allows filtering by project_title using one or more operators.

filter[region]
object

Allows filtering by region using one or more operators.

filter[updated_at]
object

Allows filtering by updated_at using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: region, project_title, type, plan, status, created_at, updated_at.

Example:

"-updated_at"

Response

OK

items
object[]